import React from 'react';
import { LinkProps } from '../Link';
import { ITouchEvent } from '../../types';
/** 按钮大小，max: 最大， big: 超大，large：大，middle：中，small：小，mini */
export declare type ButtonSize = 'max' | 'big' | 'large' | 'middle' | 'small' | 'mini';
export declare type ButtonType = 'primary' | 'warn' | 'error' | 'link' | 'pop' | 'default' | 'light' | 'stop';
export interface ButtonProps extends LinkProps {
    /** 按钮大小，max: 最大， big: 超大，large：大，middle：中，small：小，mini */
    size?: ButtonSize;
    /** 按钮风格类型 */
    type?: ButtonType;
    /** 图标 */
    icon?: React.ReactNode;
    /** 将按钮宽度调整为其父宽度的选项	 */
    block?: boolean;
    /** 镂空风格 */
    ghost?: boolean;
    /** 是否禁用 */
    disabled?: boolean;
    /** 跳转链接，填写启用A链接行为 */
    to?: string;
    /** 表单点击行为 */
    formType?: 'submit' | 'reset';
    /** 开启固定宽度 */
    auto?: boolean;
    /** 点击事件 */
    onClick?(e: ITouchEvent): void;
}
declare const Button: React.FC<ButtonProps>;
export default Button;
