import React from 'react';
import { ViewProps } from '../../types/View';
import { LinkProps } from '../Link';
import CellList from './list';
export interface CellProps extends ViewProps, LinkProps {
    /** 标题 */
    label?: string | React.ReactNode;
    /** 内容 */
    value?: string | React.ReactNode;
    /** 内容为空占位提示 */
    placeholder?: string | React.ReactNode;
    /** 是否显示箭头 */
    arrow?: boolean;
    /** 尾缀内容 */
    suffix?: React.ReactNode | string;
    /** 禁用 */
    disabled?: boolean;
    /** 跳转链接，填写启用A链接行为。同时会显示箭头 */
    to?: string;
}
declare type CellView = {
    List: typeof CellList;
};
declare const Cell: React.FC<CellProps> & CellView;
export default Cell;
