import React from 'react';
import { ButtonSize, ButtonType } from '../Button';
export interface CheckBoxProps {
    name?: string;
    /** 复选框类型 */
    type?: 'button' | 'default';
    /** 是否选中 */
    check?: boolean;
    /** 默认是否选中 */
    defaultChecked?: boolean;
    /** 值，仅在 checkGroup 嵌套下生效 */
    value?: string;
    /** 禁用 */
    disabled?: boolean;
    /** 大小，当类型为Button生效 */
    size?: ButtonSize;
    /** 是否开启幽灵样式，仅在button有效 */
    ghost?: boolean;
    /** 按钮风格样式 */
    buttonType?: ButtonType;
    /** 选中发生改变回调 */
    onChange?(check: boolean): void;
}
declare const CheckBox: React.FC<CheckBoxProps>;
export declare function getControllValue(externalCheck: boolean | undefined, internalCheck: boolean, values?: string[], value?: string): boolean;
export default CheckBox;
