import React from 'react';
import { CheckBoxContextValue } from './context';
import { ViewProps } from '../../types/View';
export interface CheckBoxGroupProps extends ViewProps {
    name?: string;
    defaultValue?: string[] | string;
    onChange?(value: string[]): void;
    radio?: boolean;
}
declare class CheckBoxGroup extends React.Component<CheckBoxGroupProps, CheckBoxContextValue> {
    state: CheckBoxContextValue;
    ref: any;
    /** 重置所有值 */
    reset: () => void;
    /**
     * 设置表单值
     * @param string
     */
    setValue: (val?: string[] | string) => void;
    /** 全选 */
    selectAll: () => void;
    /** 获取表单值 */
    getValue(): string[];
    componentDidMount(): void;
    componentWillUnmount(): void;
    private onChange;
    /** 多选状态选中 */
    private onCheckBoxSelect;
    /** 单选状态选中 */
    private onRadioSelect;
    /** 通知外部更新 */
    private emitChange;
    private selectAllOfH5;
    private geiHideInputValue;
    render(): JSX.Element;
}
export default CheckBoxGroup;
