import React from 'react';
import { ITouchEvent } from '../../types';
export interface DrawerProps {
    /** 是否显示 */
    visible: boolean;
    /** 弹出的方向，可以设置左右上下中间, 默认 bottom */
    position?: 'left' | 'right' | 'bottom' | 'top' | 'center';
    /** 是否显示遮罩层 */
    mask?: boolean;
    /** 点击蒙层是否允许关闭 */
    maskClosable?: boolean;
    /** 关闭回调 */
    onClose?(): void;
    /** 完全隐藏回调 */
    onHide?(): void;
    className?: string;
}
declare const Drawer: React.FC<DrawerProps>;
export declare const onTouchMove: (event: ITouchEvent) => void;
export default Drawer;
