export interface ModalOption {
    /** 提示的标题 */
    title?: string;
    /** 取消按钮的文字，最多 4 个字符 */
    cancelText?: string;
    /** 确认按钮的文字，最多 4 个字符 */
    confirmText?: string;
    /** 是否显示取消按钮 */
    showCancel?: boolean;
    /** 提示的内容 */
    content?: string;
}
export interface SuccessCallbackResult {
    /** 为 true 时，表示用户点击了取消（用于 Android 系统区分点击蒙层关闭还是点击取消按钮关闭） */
    cancel: boolean;
    /** 为 true 时，表示用户点击了确定按钮 */
    confirm: boolean;
    /** 调用结果 */
    errMsg: string;
}
declare const showModal: (option: ModalOption) => Promise<SuccessCallbackResult>;
export default showModal;
