import React from 'react';
import { DrawerProps } from '../Drawer';
export declare type ModalButton = {
    /** 按钮文字 */
    text: string | React.ReactNode;
    /** 按钮风格, 默认 success */
    style?: 'cancel' | 'success';
    /** 按钮点击事件 */
    onClick?(): void;
};
export interface ModalProps extends DrawerProps {
    /** 提示的标题 */
    title?: string | React.ReactNode;
    /** 提示的内容 */
    content?: string | React.ReactNode;
    /** 弹出按钮列表 */
    button?: ModalButton[];
    footer?: React.ReactNode;
    /** 点击按钮事件 */
    onButtonClick?(index: number): void;
}
declare const Modal: React.FC<ModalProps>;
export default Modal;
