import React from 'react';
import type { TextProps } from '../../types/Text';
interface MoneyProps extends TextProps {
    /** 金额类型，glod 葵花籽，coin 积分 */
    type?: 'gold' | 'coin' | 'rmb';
    /** 已经自处理过的金额 */
    amountString?: string | number;
    /** 是否高亮 */
    lineThrough?: boolean;
    /** 风格大小 */
    size?: 'large' | 'middle' | 'small';
    children?: string | number;
}
declare const Money: React.FC<MoneyProps>;
export default Money;
