import React from 'react';
import { ITouchEvent } from '../../types';
export interface SearchProps {
    /** 风格类型*/
    type?: 'default' | 'light';
    /** 启用返回按钮 */
    back?: boolean;
    /** 尾部插入的节点内容 */
    suffix?: React.ReactNode;
    /** 可以点击清除图标删除内容,是否开启 */
    allowClear?: boolean;
    /** 可输入 */
    openInput?: boolean;
    /** 提示占位语, 可以字符串和数组字符串。如果是传入字符串数组将启用滚动提示语动画 */
    placeholder?: string | string[];
    /** 搜索值 */
    value?: string;
    /** 是否自动聚焦 */
    focus?: boolean;
    searchText?: string;
    /** 点击输入框事件 */
    onClick?(event: ITouchEvent): void;
    /** 输入发生改变事件 */
    onChange?(value: string): void;
    /** 返回事件 */
    onBack?(): void;
    /** 搜索事件 */
    onSearch?(value: string): void;
    /** 清空事件 */
    onClear?(): void;
    /** 聚焦事件 */
    onFocus?(): void;
    /** 离焦事件 */
    onBlur?(): void;
}
declare const Search: React.FC<SearchProps>;
export default Search;
