import React from 'react';
export declare namespace TAB {
    type Change = (index?: number) => void;
    interface Props {
        /** Tab选项数组 */
        options: Item[];
        /** 当前激活索引 */
        currenIndex: number;
        /** 风格 */
        type?: 'button' | 'default';
        /** 尺寸大小, 只在类型为 default 情况下生效 */
        size?: 'large' | 'middle';
        /** 索引发生改变回调 */
        onChange?(index: number): void;
    }
    interface Item {
        id?: string;
        title?: string;
        onClick?(): void;
        icon?: string;
        active?: boolean;
        message?: boolean;
        url?: string;
    }
}
declare const Tabs: React.FC<TAB.Props>;
export default Tabs;
