import React from 'react';
import type { ViewProps } from '../../types/View';
export declare type TimeRenderItem = (timeType: 'day' | 'hous' | 'min' | 'sec', value: string, last?: boolean) => JSX.Element;
export interface TimerProps extends ViewProps {
    /** 倒计时开始时间，可以是毫秒时间戳、日期字符串、日期对象 */
    startTime: number | string | Date;
    /** 倒计时结束时间，可以是毫秒时间戳、日期字符串、日期对象 */
    endTime: number | string | Date;
    /** 是否使用填充风格 */
    fill?: boolean;
    /** 当剩余时间发现改变 */
    onChange?(TimeLeft: number): void;
    /** 自定义返回时间项的渲染函数 */
    renderItem?: TimeRenderItem;
}
interface TimerState {
    timeValue: {
        d: string;
        h: string;
        m: string;
        s: string;
    };
}
declare class Timer extends React.Component<TimerProps, TimerState> {
    state: {
        timeValue: {
            d: string;
            h: string;
            m: string;
            s: string;
        };
    };
    stopTime(): void;
    getTimeLeft: () => number;
    componentDidMount: () => void;
    componentWillUnmount(): void;
    render(): JSX.Element;
}
export default Timer;
