import React from 'react';
import { ButtonType } from '../Button';
import { DrawerProps } from '../Drawer';
export declare namespace XIAO_KUI_MODAL {
    type Btn = {
        type?: ButtonType;
        ghost?: boolean;
        text: string;
    };
    interface BaseProps {
        /** 按钮数组 */
        btn?: Btn[];
        /** 是否显示遮罩层 */
        mask?: boolean;
        /** 点击蒙层是否允许关闭 */
        maskClosable?: boolean;
        /** 风格 */
        type?: 'default' | 'notify' | 'upadte' | 'guide' | 'active';
        /** 内容 */
        content?: React.ReactNode;
        /** 是否显示关闭按钮 */
        closable?: boolean;
    }
    interface Props extends BaseProps {
        /** 是否可见 */
        visible: boolean;
        /** 按钮点击回调 */
        onClick?(item: Btn, index: number): void;
        /** 关闭回调 */
        onClose?(): void;
    }
    interface Result {
        item: Btn;
        index: number;
    }
}
declare const XiaokuiModal: React.FC<XIAO_KUI_MODAL.Props & DrawerProps>;
export default XiaokuiModal;
