declare type ParseResult = {
    href: string;
    protocol: string;
    hostname: string;
    port: string;
    pathname: string;
    search: string;
    hash: string;
    host: string;
    origin: string;
};
/**
 * 解析url
 * @param url
 * @returns
 */
export declare function parseUrl(url: string): ParseResult;
/**
 * 合并url参数
 * @param {string} url
 * @param {object} searchParams ?后面的参数
 * @param {object} hashParams #后面的参数
 */
export declare function deckUrl(url: string, searchParams?: Record<string, unknown>, hashParams?: Record<string, unknown>): string;
export declare type formatImgOption = {
    /** 阿里云OSS格式化的参数 */
    w?: string;
    /** 阿里云OSS格式化的参数 */
    h?: string;
    /** 阿里云OSS格式化的参数 */
    m?: string;
    /** 阿里云OSS格式化的参数 */
    l?: string;
    /** 阿里云OSS格式化的参数 */
    s?: string;
    /** 阿里云OSS格式化的参数 */
    format?: string;
    /** 阿里云OSS格式化的参数 */
    limit?: string;
};
/**
 * 格式化图片链接
 * @param url
 * @param options
 * @returns
 */
export declare function formatImg(url: string, options?: formatImgOption): string;
export {};
